View Issue Details

IDProjectCategoryView StatusLast Update
0000526Tuxpaint for OS/2 & eComStationBugpublic2022-05-14 16:38
ReporterMrJinx123 Assigned Topsmedley  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionwon't fix 
Summary0000526: Can't get tuxpaint to work with panorama video driver
DescriptionOn recent equipment I have purchased SNAP is unusable. It is well known that there are issues with older versions of SDL pre-2007 not working. Application shipped with SDL libs in the package predating panorama release. After many attempts and tests with alternate later versions, Application crashes on startup with..
Killed by SIGSEGV
pid=0x008b ppid=0x008a tid=0x0007 slot=0x00b4 pri=0x0200 mc=0x0001
C:\HOME\DEFAULT\DOWNLOADS\TUXPAINT\TUXPAINT.EXE
SDLTTF 1:00008413
cs:eip=005b:1c688413 ss:esp=0053:0405f6ec ebp=00560700
 ds=0053 es=0053 fs=150b gs=0000 efl=00010297
eax=043c1130 ebx=00000000 ecx=ffffffc0 edx=043c3880 edi=043c3984 esi=00000001
Process dumping was disabled, use DUMPPROC / PROCDUMP to enable it.

Seems to be related SDLTTF.DLL


Steps To Reproducelaunch tuxpaint with stock shipped sdl libs.. result cant find SDDHELP$.

Update sdl libs in program folder with post 2008 versions to current and use rem tuxpaint test
SET LIBPATHSTRICT=T
SET PATH=C:\home\default\Downloads\tuxpaint;%PATH%
SET BEGINLIBPATH=C:\home\default\Downloads\tuxpaint
c:
cd \home\default\Downloads\tuxpaint
tuxpaint.exe
pause
exit

produces trap in sdlttf.dll every time!

Additional Information4 year old daughter having a fit!! Help! (-:

I have had great luck updating other older SDL apps to work with panorama but this one has got me stumped!
TagsNo tags attached.

Activities

MrJinx123

2012-01-29 03:57

reporter   ~0002206

ONe added note from the tuxpaint support area.

Update, December 2010: Tux Paint 0.9.21c, a minor update includes the interactivity improvement and updated FontConfig libraries, and should address this issue.

psmedley

2012-02-01 19:08

administrator   ~0002208

I will try update Tuxpaint soon

MrJinx123

2012-02-02 02:10

reporter   ~0002209

Something to note: I would or could be interested in taking over this from you.

Did you check in the OS/2 branch on tuxpaint dev? or do you only have a private diff? I ask as I was looking at TUX math and TUX typing, companion applications from the same dev group.

I do have your DVD build environment, although I modified it a lot in an effort to compile Instabird. Would the environment as delivered be adequate to build it?
The other good news about tuxpaint is that they never updated the app beyond 1.2.xx versions of SDL sparing either of us the issue that our SDL is falling out of grace quickly.

Thank you for the efforts but don't let this issue be a priority over the important work you are doing like SANE, CUPS. If it wasn't so expensive to send you a HPLIP compatible scanner/printer combo.. I'd send you one. Units are quite cheap here but shipping to Australia is outrageous..

psmedley

2012-02-02 16:35

administrator   ~0002210

i downlaoded latest cvs code - needs quite a few mods for OS2

almsot have it linking now - but need to find an implementation of fget_ws that compiles with libc

wide character support is not great for us :(

psmedley

2012-02-03 19:18

administrator   ~0002211

http://smedley.id.au/tuxpaint-os2-20120203.zip

plugins dont work and report errors as the necessary symbols aren't dllexport'd

a SIGSEGV is also reported to stdout but it seems to start and run ok

psmedley

2022-05-14 16:38

administrator   ~0004282

Sorry, I no longer maintain tuxpaint

Issue History

Date Modified Username Field Change
2012-01-29 03:13 MrJinx123 New Issue
2012-01-29 03:57 MrJinx123 Note Added: 0002206
2012-02-01 19:08 psmedley Note Added: 0002208
2012-02-02 02:10 MrJinx123 Note Added: 0002209
2012-02-02 16:35 psmedley Note Added: 0002210
2012-02-03 19:18 psmedley Note Added: 0002211
2022-05-14 16:38 psmedley Assigned To => psmedley
2022-05-14 16:38 psmedley Status new => resolved
2022-05-14 16:38 psmedley Resolution open => won't fix
2022-05-14 16:38 psmedley Note Added: 0004282
2022-05-14 16:38 psmedley Status resolved => closed